Anonymous Login
2019-04-21 15:12 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001366v3.0 Release[All Projects] Generalpublic2013-08-28 11:17
Reportersasquatch58 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001366: User admin screen lacking data
DescriptionComparison to Contacts screen (alpha tabs etc), the User screen has issues.
Has characters for alpha selection rather than tabs.
Data is missing that would be expected there.
See attached images & error log info (below)
Additional InformationApache error log for User screen.
PHP Parse error: syntax error, unexpected '[' in /opt/web2project/web2git2/classes/w2p/Output/ListTable.class.php on line 95, referer: http://192.168.1.10/w2p/index.php?m=admin&tab=0
PHP Stack trace:, referer: http://192.168.1.10/w2p/index.php?m=admin&tab=0
PHP 1. {main}() /opt/web2project/web2git2/index.php:0, referer: http://192.168.1.10/w2p/index.php?m=admin&tab=0
PHP 2. require() /opt/web2project/web2git2/index.php:274, referer: http://192.168.1.10/w2p/index.php?m=admin&tab=0
PHP 3. CTabBox->show() /opt/web2project/web2git2/modules/admin/index.php:81, referer: http://192.168.1.10/w2p/index.php?m=admin&tab=0
PHP 4. include() /opt/web2project/web2git2/style/web2project/overrides.php:52, referer: http://192.168.1.10/w2p/index.php?m=admin&tab=0
PHP 5. require() /opt/web2project/web2git2/modules/admin/vw_active_usr.php:11, referer: http://192.168.1.10/w2p/index.php?m=admin&tab=0
PHP 6. web2project_autoload() /opt/web2project/web2git2/classes/w2p/web2project.php:0, referer: http://192.168.1.10/w2p/index.php?m=admin&tab=0
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002997

jonhalle (reporter)

FIX: line 95 of classes/w2p/Output/ListTable.class.php
should read:

$module = w2p_pluralize(explode('_', $value[0]));

~0002999

caseydk (administrator)

Resolved in development: https://github.com/web2project/web2project/commit/7577e296d07594bcc543d55bc54d086481d896ae
+Notes

-Issue History
Date Modified Username Field Change
2013-08-25 02:15 sasquatch58 New Issue
2013-08-25 02:16 sasquatch58 File Added: 2013-08-25 Contacts screen.png
2013-08-25 02:16 sasquatch58 File Added: 2013-08-25 User screen.png
2013-08-27 02:01 jonhalle Note Added: 0002997
2013-08-27 22:14 caseydk Note Added: 0002999
2013-08-27 22:14 caseydk Status new => resolved
2013-08-27 22:14 caseydk Resolution open => fixed
2013-08-27 22:14 caseydk Assigned To => caseydk
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:17 caseydk Status resolved => closed
+Issue History